<?php
/**
 * @var array<int, array{date: string, description: string, type: string, start: int, groups: Statusgruppen[], related_persons: User[]}> $dates
 * @var int $lecturer_count
 * @var int $group_count
 */
?>
<html>
<head>
    <title><?= htmlReady(PageLayout::getTitle())?></title>
</head>
<body>

<? if (count($dates) > 0) : ?>
    <table cellspacing="0" cellpadding="0" border="1" width="100%">

        <tr>
            <th colspan="5">
                <h2><?= htmlReady(PageLayout::getTitle())?></h2>
            </th>
        </tr>

        <?
        $all_semester = Semester::findAllVisible(false);

        $grenze = 0;
        foreach ($dates as $date) :
            if ( ($grenze == 0) || ($grenze < $date['start']) ) {
                foreach ($all_semester as $zwsem) {
                    if (!empty($zwsem['beginn'])) {
                        if ( ($zwsem['beginn'] < $date['start']) && ($zwsem['ende'] > $date['start']) ) {
                            $grenze = $zwsem['ende'] ?? null;
                            ?>
                            <tr>
                                <td colspan="5">
                                    <h3><?= htmlReady($zwsem['name']) ?></h3>
                                </td>
                            </tr>
                        <?
                        }
                    }
                }
            }
            ?>
            <tr>
                <td width="20%">
                    <?= htmlReady($date['date']) ?> (<?= htmlReady($date['type']) ?>)
                </td>
                <td width="20%"><?= htmlReady($date['title']) ?></td>
                <td width="20%">
                    <? if (count($date['related_persons']) != $lecturer_count) : ?>
                        <? foreach ($date['related_persons'] as $key => $user) {
                            echo ($key > 0 ? ", " : "").htmlReady($user->getFullName());
                        } ?>
                    <? endif ?>
                </td>
                <td width="20%">
                    <? if (count($date['groups']) && count($date['groups']) < $group_count) : ?>
                        <? foreach ($date['groups'] as $key => $statusgruppe) {
                            echo ($key > 0 ? ", " : "").htmlReady($statusgruppe->name);
                        } ?>
                    <? else : ?>
                        <?= _('alle') ?>
                    <? endif ?>
                </td>
                <td width="20%"><?= htmlReady($date['room']) ?></td>
            </tr>
            <? if ($date['description']) : ?>
            <tr>
                <td>&nbsp;</td>
                <td colspan="3"><?= formatReady($date['description'])?></td>
            </tr>
        <? endif ?>
        <? endforeach ?>

    </table>
<? endif ?>
</body>
</html>
