<?php
if (!$controllerpath) {
    $controllerpath = 'files/index';
    if ($topFolder->range_type !== 'user') {
        $controllerpath = $topFolder->range_type . '/' . $controllerpath;
    }
}
$is_readable = $folder->isReadable($GLOBALS['user']->id);
$owner = User::find($folder->user_id) ?: new User();

$permissions = [];
if ($is_readable) {
    $permissions[] = 'r';
}
if ($folder->isEditable($GLOBALS['user']->id)) {
    $permissions[] = 'w';
}
if ($folder->isReadable($GLOBALS['user']->id)) {
    $permissions[] = 'd';
}
?>

<tr id="row_folder_<?= $folder->id ?>" data-permissions="<?= implode($permissions) ?>">
    <td>
    <? if ($is_readable) : ?>
        <input type="checkbox"
               name="ids[]"
               value="<?= $folder->id ?>"
               <? if (in_array($folder->getId(), (array)$marked_element_ids)) echo 'checked'; ?>>
    <? endif?>
    </td>
    <td class="document-icon" data-sort-value="<?=crc32(get_class($folder))?>">
        <a href="<?= $controller->link_for($controllerpath . '/' . $folder->getId())  ?>">
            <?= $folder->getIcon('clickable')->asImg(Icon::SIZE_FILES_TABLE) ?>
        </a>
    </td>
    <td>
        <a href="<?= $controller->link_for($controllerpath . '/' . $folder->getId()) ?>">
            <?= htmlReady($folder->name) ?>
        </a>
    </td>
    <? // -number + file count => directories should be sorted apart from files ?>
    <td data-sort-value="-1000000" class="responsive-hidden"></td>
<? if ($show_downloads): ?>
    <td data-sort-value="-1000000" class="responsive-hidden"></td>
<? endif; ?>
    <td data-sort-value="<?= htmlReady($owner->getFullName('no_title_rev')) ?>" class="responsive-hidden">
    <? if ($owner->id !== $GLOBALS['user']->id) : ?>
        <a href="<?= URLHelper::getLink('dispatch.php/profile?username=' . $owner->username) ?>">
            <?= htmlReady($owner->getFullName('no_title_rev')) ?>
        </a>
    <? else: ?>
        <?= htmlReady($owner->getFullName('no_title_rev')) ?>
    <? endif; ?>
    </td>
    <td title="<?= strftime('%x %X', $folder->mkdate) ?>" data-sort-value="<?= $folder->mkdate ?>" class="responsive-hidden">
        <?= $folder->mkdate ? reltime($folder->mkdate) : "" ?>
    </td>
    <? foreach ($topFolder->getAdditionalColumns() as $index => $column_name) : ?>
        <td class="responsive-hidden"
            data-sort-value="<?= htmlReady($folder->getAdditionalColumnOrderWeigh($index)) ?>">
            <? $content = $folder->getContentForAdditionalColumn($index) ?>
            <? if ($content) : ?>
                <?= $content instanceof Flexi\Template ? $content->render() : $content ?>
            <? endif ?>
        </td>
    <? endforeach ?>
    <td class="actions">
    <?php
        $actionMenu = ActionMenu::get()->setContext($folder->name);
        $actionMenu->addLink(
            $controller->url_for('file/details/' . $folder->getId()),
            _('Info'),
            Icon::create('info-circle'),
            ['data-dialog' => '1']
        );
        if ($folder->isEditable($GLOBALS['user']->id)) {
            $actionMenu->addLink(
                $controller->url_for('file/edit_folder/' . $folder->getId()),
                _('Ordner bearbeiten'),
                Icon::create('edit'),
                ['data-dialog' => '1']
            );
        }
        if ($folder->isReadable($GLOBALS['user']->id) && $GLOBALS['user']->id !== 'nobody') {
            $actionMenu->addLink(
                $controller->url_for('file/download_folder/' . $folder->getId()),
                _('Ordner herunterladen'),
                Icon::create('download')
            );
        }
        if ($folder->isEditable($GLOBALS['user']->id)) {
           $actionMenu->addLink(
               $controller->url_for('file/choose_destination/move/' . $folder->getId(), ['isfolder' => 1]),
                _('Ordner verschieben'),
                Icon::create('arr_1right'),
                ['data-dialog' => 'size=auto']
            );
            $actionMenu->addLink(
                $controller->url_for('file/choose_destination/copy/' . $folder->getId(), ['isfolder' => 1]),
                _('Ordner kopieren'),
                Icon::create('clipboard'),
                ['data-dialog' => 'size=auto']
            );
            if (Feedback::isActivated() && Feedback::hasCreatePerm($course->id)) {
                $actionMenu->addLink(
                    $controller->url_for('course/feedback/create_form/' . $folder->getId() . '/Folder'),
                    _('Neues Feedback-Element'),
                    Icon::create('star'),
                    ['data-dialog' => '1']
                );
            }
            $actionMenu->addLink(
                $controller->url_for('file/delete_folder/' . $folder->getId()),
                _('Ordner löschen'),
                Icon::create('trash'),
                ['onclick' => "return STUDIP.Dialog.confirmAsPost('" . sprintf(_('Soll der Ordner "%s" wirklich gelöscht werden?'), jsReady($folder->name)) . "', this.href);"]
            );
        }
    ?>
        <?= $actionMenu->render() ?>
    </td>
</tr>
