<form class="default" action="<?= $controller->action_link('add_dokument', $origin ?? null,  $range_type ?? null, $range_id ?? null, $mvvfile_id ?? null) ?>" method="post" data-dialog="size=auto">
    <input type="hidden" name="mvvfile_id" id="mvvfile_id" value="<?= htmlReady($mvvfile_id ?? '') ?>">
    <input type="hidden" name="range_id" id="range_id" value="<?= htmlReady($range_id ?? null) ?>">
    <input type="hidden" name="range_type" id="range_type" value="<?= htmlReady($range_type ?? null) ?>">

    <label>
        <?= _('Jahr') ?>
        <input name="doc_year" type="text" value="<?= htmlReady($doc_year ?? '') ?>"<?= $perm->disable('year') ?>>
    </label>

    <input type="hidden" name="doc_type" value="<?= htmlReady($doc_type ?? '') ?>">
    <label>
        <?= _('Art der Datei') ?>
        <select name="doc_type"<?= $perm->haveFieldPerm('type') ? '' : ' disable' ?>>
        <? foreach ($GLOBALS['MVV_DOCUMENTS']['TYPE']['values'] as $key => $entry) : ?>
            <option value="<?= htmlReady($key) ?>"<?= isset($doc_type) && $key == $doc_type ? ' selected' : '' ?>>
                <?= htmlReady($entry['name']) ?>
            </option>
        <? endforeach; ?>
        </select>
    </label>

    <table class="default mvv-files-table">
    <? foreach($GLOBALS['CONTENT_LANGUAGES'] as $language_key => $entry) : ?>
        <tr>
            <td rowspan="2">
                <?= Assets::img(MVV::getContentLanguageImagePath($language_key), ['alt' => $entry['name'], 'size' => 24]) ?>
            </td>
            <td>
                <label>
                    <?= _('Angezeigter Name des Dokuments') ?>
                    <input name="doc_displayname_<?= $language_key; ?>" type="text" value="<?= !isset($documents[$language_key])  ? '' : htmlReady($documents[$language_key]->name) ?>"<?= $perm->disable('name') ?>>
                </label>
            </td>
        </tr>
        <tr>
            <td>
                <div class="attachments" style="<?= (empty($documents) || !array_key_exists($key, $documents))  ? '' : 'display: none;'?>">
                    <span style="cursor:pointer;" onClick="$('#fileselector_<?= $language_key; ?>').toggle();$(this).toggle();">
                        <?= Icon::create('add')->asImg(['title' => _('Datei hinzufügen'), 'class' => 'text-bottom']); ?>
                        <?= _('Datei hinzufügen') ?>
                    </span>
                    <div id="fileselector_<?= $language_key; ?>" style="display:none;">
                        <ul class="stgfiles list-unstyled">
                            <li style="display: none;" class="stgfile">
                                <input type="hidden" name="document_id" id="document_id" value="<?= htmlReady($document_id ?? '') ?>">
                                <span class="icon"></span>
                                <span class="name"></span>
                                <span class="size"></span>
                                <button class="refresh_attachment as-link" data-language="<?= htmlReady($language_key) ?>">
                                    <?= Icon::create('refresh')->asImg([
                                        'class' => 'text-bottom',
                                        'title' => _('Datei aktualisieren'),
                                    ]) ?>
                                </button>
                                <button class="remove_attachment as-link">
                                    <?= Icon::create('trash')->asImg([
                                        'class' => 'text-bottom',
                                        'title' => _('Datei löschen'),
                                    ]) ?>
                                </button>
                            </li>
                        </ul>
                        <div id="statusbar_container">
                            <div class="statusbar" style="display: none;">
                                <div class="progress"></div>
                                <div class="progresstext">0%</div>
                            </div>
                        </div>
                        <label id="upload_chooser" style="cursor: pointer;">
                            <input type="file" id="fileupload" multiple onChange="STUDIP.MVV.Document.upload_from_input(this, '<?= $language_key; ?>');" style="display: none;">
                            <?= Icon::create('upload')->asImg(['title' => _('Datei hochladen'), 'class' => 'text-bottom']) ?>
                            <?= _("Datei hochladen") ?>
                        </label>
                        <br>
                        <b><?= _('oder'); ?></b>
                        <label>
                            <?= _('Link hinzufügen') ?>
                            <input name="doc_url_<?= $language_key; ?>" type="text" value="" placeholder="https://...">
                        </label>
                        <div id="upload_finished" style="display: none"><?= _("wird verarbeitet") ?></div>
                        <div id="upload_received_data" style="display: none"><?= _("gespeichert") ?></div>
                    </div>
                </div>
                <div id="fileviewer_<?= $language_key; ?>">
                    <ul class="stgfiles list-unstyled">
                    <? if (isset($documents[$language_key])): ?>
                        <li class="stgfile">
                            <input type="hidden" name="document_id" id="document_id" value="<?= htmlReady($documents[$language_key]->fileref_id) ?>">
                            <span class="icon"><?= Icon::create('file', Icon::ROLE_INFO, ['class' => 'text-bottom']); ?></span>
                            <span class="name"><?= htmlReady($documents[$language_key]->filename) ?></span>
                            <span class="size"><?= relsize($documents[$language_key]->file_ref->size) ?></span>
                            <button class="refresh_attachment as-link" data-language="<?= htmlReady($language_key) ?>">
                                <?= Icon::create('refresh')->asImg([
                                    'class' => 'text-bottom',
                                    'title' => _('Datei aktualisieren'),
                                ]) ?>
                            </button>
                            <button class="remove_attachment as-link">
                                <?= Icon::create('trash')->asImg([
                                    'class' => 'text-bottom',
                                    'title' => _('Datei löschen'),
                                ]) ?>
                            </button>
                        </li>
                    <? endif; ?>
                    </ul>
                </div>
            </td>
        </tr>
    <? endforeach; ?>
    </table>

    <label>
        <?= _('Kategoriezuordnung') ?>
        <select name="doc_cat">
        <? foreach ($GLOBALS['MVV_DOCUMENTS']['CATEGORY']['values'] as $key => $entry) : ?>
            <option value="<?= htmlReady($key) ?>"<?= isset($doc_cat) && $key == $doc_cat ? ' selected' : '' ?>>
                <?= htmlReady($entry['name']) ?>
            </option>
        <? endforeach; ?>
        </select>
    </label>

    <label for="mvv-files-tags">
        <?= _('Schlagwörter') ?>
        <select id="mvv-files-tags" multiple name="doc_tags[]">
            <option value=""></option>
        <? foreach ($GLOBALS['MVV_DOCUMENTS']['TAG']['values'] as $key => $entry) : ?>
            <option value="<?= htmlReady($key) ?>"<?= $key == in_array($key, explode(';', $doc_tags ?? ''))? ' selected' : '' ?>>
                <?= htmlReady($entry['name']) ?>
            </option>
        <? endforeach; ?>
        </select>
    </label>

    <label>
        <input name="doc_extvisible" type="checkbox" value="1" <?= !empty($doc_extvisible) ? 'checked' : '' ?>>
        <?= _('Sichtbarkeit nach außen') ?>
    </label>

    <?= CSRFProtection::tokenTag(); ?>
    <div data-dialog-button>
        <?= Studip\Button::createAccept(_('Speichern'), 'store_document') ?>
        <?= Studip\LinkButton::createCancel(); ?>
    </div>

</form>

<script>
    $(document).ready(function() {
        $('#mvv-files-tags').select2({
            placeholder: '<?= _('Schlagwörter wählen') ?>'
        });
    });
</script>
